package cn.iocoder.yudao.module.member.api.user.dto;

import cn.iocoder.yudao.framework.common.util.spring.enums.CommonStatusEnum;
import lombok.Data;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

/**
 * 用户信息 Response DTO
 *
 * @author 捷道源码
 */
@Data
public class UserRespDTO {

    /**
     * 用户ID
     */
    private Long id;
    /**
     * 用户昵称
     */
    private String nickname;
    /**
     * 帐号状态
     *
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

    /**
     * 区号
     */
    private String areaCode;

    /**
     * 手机
     */
    private String mobile;



    /**
     * 加密后的控货密码
     *
     * 因为目前使用 {@link BCryptPasswordEncoder} 加密器，所以无需自己处理 salt 盐
     */
    private String controlPassword;

}
