package cn.iocoder.yudao.module.member.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * member 系统，使用 1-004-000-000 段
 * @author Administrator
 */
public interface ErrorCodeConstants {
    /**** 用户相关  1004001000 ****/
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1004001000, "member.user.not.exist");

    ErrorCode USER_PASSWORD_FAILED = new ErrorCode(1004001001, "member.user.pass.verify.failed");

    /**** AUTH 模块 1004003000 ****/
    ErrorCode AUTH_LOGIN_BAD_CREDENTIALS = new ErrorCode(1004003000, "member.auth.login.bad");
    ErrorCode AUTH_LOGIN_USER_DISABLED = new ErrorCode(1004003001, "member.auth.login.account.disable");
    ErrorCode AUTH_LOGIN_FAIL_UNKNOWN = new ErrorCode(1004003002, "member.auth.login.unknown");
    ErrorCode AUTH_TOKEN_EXPIRED = new ErrorCode(1004003004, "member.auth.login.token.expired");
    ErrorCode AUTH_THIRD_LOGIN_NOT_BIND = new ErrorCode(1004003005, "member.auth.third.not.bind");

    ErrorCode MEMBER_USER_MOBILE_EXIST = new ErrorCode(1004003006, "member.user.mobile.exist");


    ErrorCode USER_CARD_AUTH_NOT_EXISTS = new ErrorCode(1004004001, "用户身份证认证不存在");
    ErrorCode USER_CARD_AUTH_EXISTS = new ErrorCode(1004004002, "用户认证审核中，请耐心等待审核结果");
    ErrorCode USER_ENTERPRISE_AUTH_NOT_EXISTS = new ErrorCode(1004004003, "用户企业认证不存在");
    ErrorCode USER_ENTERPRISE_AUTH_EXISTS = new ErrorCode(1004004004, "用户企业认证审核中，请耐心等待审核结果");


    ErrorCode CODE_ERROR = new ErrorCode(1004004005, "验证码错误");
    ErrorCode CODE_NOT_NULL = new ErrorCode(1004004006, "code.not.null");

    ErrorCode USER_OPERATION_LOG_NOT_EXISTS = new ErrorCode(1004007001, "用户操作日志不存在");

    ErrorCode USER_ENTERPRISE_NOT_EXISTS = new ErrorCode(1004007002, "会员公司信息不存在");

    ErrorCode USER_EMAIL_ALREADY_EXISTS = new ErrorCode(1004007003, "邮箱已存在");

    ErrorCode EMAIL_CODE_ERROR = new ErrorCode(1004007004, "验证码错误");

}
